# SingleFileReport

interface SingleFileReport : ConfigurableReport

A report that is a single file.

#### Inheritors

CustomizableHtmlReport

## Properties

NAMER
Link copied to clipboard
val NAMER: Namer<Report>

## Functions

configure
Link copied to clipboard
abstract fun configure(cl: Closure): T
getDisplayName
Link copied to clipboard
abstract fun getDisplayName(): String
getName
Link copied to clipboard
abstract fun getName(): String
getOutputLocation
Link copied to clipboard
@OutputFile
abstract fun getOutputLocation(): RegularFileProperty
getOutputType
Link copied to clipboard
abstract fun getOutputType(): Report.OutputType
Always returns FILE
getRequired
Link copied to clipboard
abstract fun getRequired(): Property<Boolean>